Issue 117986 - [ODF] Adapt spline implementation to ODF1.2 norm
[ODF] Adapt spline implementation to ODF1.2 norm
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: chart
OOo 3.3 or older
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Regina Henschel
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-06 10:22 UTC by Regina Henschel
Modified: 2013-07-11 07:17 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
SPreadsheet with included Macro for a function, that calculates an interpolating B-Spline (25.49 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-05-06 10:22 UTC, Regina Henschel
no flags Details
Contains the changes for periodic splines (26.56 KB, text/plain)
2011-05-06 10:25 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2011-05-06 10:22:14 UTC
Created attachment 76489 [details]
SPreadsheet with included Macro for a function, that calculates an interpolating B-Spline

ODF1.2 defines a true periodic spline for closed lines and an interpolating B-spline.

Currently OOo fakes the splines for closed lines. A draft for implementing a true periodic spline is attached as file Splines-periodic.cxx. There are some open questions for implementation details, see http://openoffice.org/projects/graphics/lists/dev/archive/2011-04/message/0, http://openoffice.org/projects/graphics/lists/dev/archive/2011-04/message/1, and http://openoffice.org/projects/graphics/lists/dev/archive/2011-04/message/3

Currently OOo has an approximating version of B-splines. Therefore the ODF1.2 requires an incompatible change in OOo. The attached spreadsheet contains a macro, which shows a possible algorithm for the interpolating B-splines. You can test it for data points arranged as columns. Enter the function as matrix function. It generates interpolating points arranged as columns. Here a discussion is needed, how OOo should be adapted to the ODF1.2 norm. http://openoffice.org/projects/graphics/lists/dev/archive/2011-04/message/2 and http://openoffice.org/projects/graphics/lists/dev/archive/2011-04/message/3
Comment 1 Regina Henschel 2011-05-06 10:25:46 UTC
Created attachment 76490 [details]
Contains the changes for periodic splines

Complete Splines.cxx file, based on DEV300m100. It does not contain changes for B-Spline, therefore not a patch.
Comment 2 Regina Henschel 2011-11-22 10:48:58 UTC
The needed changes have been implemented in LibreOffice already. Their patches can be transformed to AOO.
Comment 3 Oliver-Rainer Wittmann 2012-06-13 12:30:55 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.
Comment 4 SVN Robot 2013-03-17 16:01:19 UTC
"regina" committed SVN revision 1457470 into trunk:
i117986 Adapt spline implementation to ODF1.2
Comment 5 hdu@apache.org 2013-07-11 07:17:31 UTC
Updated status to FIXED and target to the release that contains the fix.